<html lang="en">
<head>
<title>Browsing - Enhanced Implementation of Emacs Interpreted Objects</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Enhanced Implementation of Emacs Interpreted Objects">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="Base-Classes.html#Base-Classes" title="Base Classes">
<link rel="next" href="Class-Values.html#Class-Values" title="Class Values">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Browsing"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Class-Values.html#Class-Values">Class Values</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Base-Classes.html#Base-Classes">Base Classes</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h2 class="chapter">13 Browsing class trees</h2>

<p>To browse all the currently loaded classes in emacs, simply run the
EIEIO browser.  <kbd>M-x eieio-browse</kbd>.  This browses all the way from
the default super-duper class eieio-default-superclass, and lists all
children in an indented tree structure.

   <p>To browse only from a specific class, pass it in as an alternate
parameter.

   <p>Here is a sample tree from our current example:

<pre class="example">     eieio-default-superclass
       +--data-object
            +--data-object-symbol
</pre>
   <p>Note that we start with eieio-default-superclass.  See <a href="Default-Superclass.html#Default-Superclass">Default Superclass</a>.

   <p>Note: new classes are consed into the inheritance lists, so the tree
comes out upside-down.

   <p>It is also possible to use the function <code>eieio-class-tree</code> in the
<samp><span class="file">tree.el</span></samp> package.  This will create an interactive tree.  Clicking
on nodes will allow expansion/contraction of branches, or editing of a
class.  See <a href="Class-Values.html#Class-Values">Class Values</a>.

   </body></html>

